From cf96664b29e873e565e404d80231ff4cfbc08fcc Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 12 2020 03:07:34 +0000
Subject: [PATCH 623/2232] Test include parsing


---

diff --git a/tests/ui/include.rs b/tests/ui/include.rs
new file mode 100644
index 0000000..82fa8de
--- /dev/null
+++ b/tests/ui/include.rs
@@ -0,0 +1,12 @@
+#[cxx::bridge]
+mod ffi {
+    extern "C" {
+        include!("path/to" what);
+        include!(<path/to> what);
+        include!(<path/to);
+        include!(<path[to]>);
+        include!(...);
+    }
+}
+
+fn main() {}
diff --git a/tests/ui/include.stderr b/tests/ui/include.stderr
new file mode 100644
index 0000000..c85a83e
--- /dev/null
+++ b/tests/ui/include.stderr
@@ -0,0 +1,29 @@
+error: unexpected token
+ --> $DIR/include.rs:4:28
+  |
+4 |         include!("path/to" what);
+  |                            ^^^^
+
+error: unexpected token
+ --> $DIR/include.rs:5:28
+  |
+5 |         include!(<path/to> what);
+  |                            ^^^^
+
+error: expected `>`
+ --> $DIR/include.rs:6:17
+  |
+6 |         include!(<path/to);
+  |                 ^^^^^^^^^^
+
+error: unexpected token in include path
+ --> $DIR/include.rs:7:23
+  |
+7 |         include!(<path[to]>);
+  |                       ^^^^
+
+error: expected "quoted/path/to" or <bracketed/path/to>
+ --> $DIR/include.rs:8:18
+  |
+8 |         include!(...);
+  |                  ^^^

